## org.apache.batik.util
Class CleanerThread

    java.lang.Object
      java.lang.Thread
          org.apache.batik.util.CleanerThread

All Implemented Interfaces:
  java.lang.Runnable

    public class CleanerThread

extends java.lang.Thread

One line Class Desc Complete Class Desc

Nested Class Summary
`static class` `CleanerThread.PhantomReferenceCleared` A PhantomReference subclass that automatically registers with the cleaner ReferenceQueue.
`static interface` `CleanerThread.ReferenceCleared` If objects registered with the reference queue associated with this class implement this interface then the 'cleared' method will be called when the reference is queued.
`static class` `CleanerThread.SoftReferenceCleared` A SoftReference subclass that automatically registers with the cleaner ReferenceQueue.
`static class` `CleanerThread.WeakReferenceCleared` A WeakReference subclass that automatically registers with the cleaner ReferenceQueue.

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`protected` `CleanerThread()`

Method Summary
`static java.lang.ref.ReferenceQueue` `getReferenceQueue()`
`void` `run()`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CleanerThread

    protected CleanerThread()

Method Detail

### getReferenceQueue

    public static java.lang.ref.ReferenceQueue getReferenceQueue()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.